Skip to main content
POST
/
model-monitor
/
v2
/
api
/
model
/
{model_id}
/
analyse-drift
Returns drift analysis for the model based on the user's config (or model's scheduler config). The endpoint is behind the old backend's auth mechanism.
curl --request POST \
  --url https://api.example.com/model-monitor/v2/api/model/{model_id}/analyse-drift \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "modelId": "<string>",
  "startDate": 123,
  "endDate": 123,
  "searchQuery": "<string>",
  "config": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "<string>",
      "value": "<string>",
      "alertable": true,
      "algorithm": "<string>",
      "condition": {
        "operator": "<string>",
        "lower": 123,
        "upper": 123
      }
    }
  ]
}
'
{
  "totalCount": 123,
  "calculatedOn": 123,
  "start": 123,
  "end": 123,
  "records": {
    "training": 123,
    "prediction": 123
  },
  "features": [
    {
      "id": "<string>",
      "name": "<string>",
      "alertable": true,
      "algorithm": "<string>",
      "driftTrends": [
        [
          123
        ]
      ],
      "condition": {
        "operator": "<string>",
        "lower": 123,
        "upper": 123
      },
      "importance": 123,
      "drift": 123,
      "pValue": 123,
      "drifted": true,
      "error": "<string>",
      "training": {
        "binValues": [],
        "counts": [
          123
        ],
        "normalizedValues": []
      },
      "prediction": {
        "binValues": [],
        "counts": [
          123
        ],
        "normalizedValues": []
      }
    }
  ],
  "pagination": {
    "pageSize": 123,
    "pageNumber": 123,
    "sortOrder": 123
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

model_id
string
required

Identifier for the model to be updated.

Body

application/json
modelId
string
startDate
number | null
endDate
number | null
searchQuery
string
config
Feature Query · object[]
pagination
object

Response

The drift analyze query was done successfully.

totalCount
number
required
calculatedOn
number
required

Timestamp of time when the query was performed.

start
number
required

Start time for the data used for the query.

end
number
required

End time for the data used for the query.

records
Record Count · object
required

Number of records (rows) used for the query.

features
Drift Calculation · object[]
required

Drift calculations for selected columns for the query.

pagination
object
required